# Generated by Django 2.1.15 on 2020-11-17 09:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0070_auto_20201116_1528'),
    ]

    operations = [
        migrations.CreateModel(
            name='Offer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bidder', models.CharField(max_length=255, verbose_name='Bieter')),
                ('net', models.DecimalField(decimal_places=2, max_digits=21, verbose_name='Nettopreis')),
                ('invoice', models.FileField(upload_to='', verbose_name='Angebot')),
                ('is_desired', models.BooleanField(verbose_name='Wunschangebot?')),
            ],
        ),
        migrations.AlterField(
            model_name='request',
            name='status',
            field=models.IntegerField(choices=[(1, 'New'), (3, 'offers needed'), (4, 'ZA3 requested'), (5, 'approved'), (6, 'declined'), (7, 'finished')]),
        ),
        migrations.AddField(
            model_name='offer',
            name='request',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Request'),
        ),
    ]
